gsm48_classmark2 Struct Reference

`#include <gsm_04_08.h>`

## Data Fields

uint8_t | spare:1
uint8_t | rev_lev:2
uint8_t | es_ind:1
uint8_t | a5_1:1
uint8_t | pwr_lev:3
uint8_t | spare2:1
uint8_t | ps_cap:1
uint8_t | ss_scr:2
uint8_t | sm_cap:1
uint8_t | vbs:1
uint8_t | vgcs:1
uint8_t | fc:1
uint8_t | cm3:1
uint8_t | spare4:1
uint8_t | lcsva_cap:1
uint8_t | spare3:1
uint8_t | solsa:1
uint8_t | cmsp:1
uint8_t | a5_3:1
uint8_t | a5_2:1

## Field Documentation

## a5_1

uint8_t gsm48_classmark2::a5_1

## a5_2

uint8_t gsm48_classmark2::a5_2

## a5_3

uint8_t gsm48_classmark2::a5_3

## cm3

uint8_t gsm48_classmark2::cm3

## cmsp

uint8_t gsm48_classmark2::cmsp

## es_ind

uint8_t gsm48_classmark2::es_ind

## fc

uint8_t gsm48_classmark2::fc

## lcsva_cap

uint8_t gsm48_classmark2::lcsva_cap

## ps_cap

uint8_t gsm48_classmark2::ps_cap

## pwr_lev

uint8_t gsm48_classmark2::pwr_lev

## rev_lev

uint8_t gsm48_classmark2::rev_lev

## sm_cap

uint8_t gsm48_classmark2::sm_cap

## solsa

uint8_t gsm48_classmark2::solsa

## spare

uint8_t gsm48_classmark2::spare

## spare2

uint8_t gsm48_classmark2::spare2

## spare3

uint8_t gsm48_classmark2::spare3

## spare4

uint8_t gsm48_classmark2::spare4

## ss_scr

uint8_t gsm48_classmark2::ss_scr

## vbs

uint8_t gsm48_classmark2::vbs

## vgcs

uint8_t gsm48_classmark2::vgcs

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h